<?xml version="1.0"?>
<!-- @AutoRun -->

<OBJECTS name="">
    <NODE name="Script" factory="Vector">
        
        <NODE   name="insertOp" factory="Participant" class="oneit.sql.transfer.InsertOperation"
                query="select user_id from oneit_sec_role_grant where role_id = (select object_id from oneit_sec_role where name ='TL_Client') fetch first 1 row only">
            <tableName factory="String">tl_company</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"   keyName="CompanyID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='company_name'      factory='String'>Talentology</value>
            <value name='hiring_team_type'  factory='String'>SMB</value>
            <value name='added_by_user_id'  factory='Participant'   class="oneit.sql.transfer.InsertOperation$QueryColumn"  column="user_id"/>  <!-- Dummy value. Will be updated in next sql script-->
        </NODE>
        
        <NODE   name="insertOp" factory="Participant"   class="oneit.sql.transfer.InsertOperation"
                query="select user_id from oneit_sec_role_grant where role_id = (select object_id from oneit_sec_role where name ='TL_Client')">
            <tableName factory="String">oneit_sec_user_extension</tableName>
            <value name='object_id' factory='Participant' class="oneit.sql.transfer.DBTransferer$ObjectID"/>
            <value name='object_last_updated_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_created_date' class="oneit.sql.transfer.DBTransferer$Timestamp"/>
            <value name='object_type'   factory='String'>CompanyUser</value>
            <value name='role_type'     factory='String'>ADMIN</value>
            <value name='is_account_verified'   factory='Boolean'>true</value>
            <value name='user_id'       factory='Participant'   class="oneit.sql.transfer.InsertOperation$QueryColumn" column="user_id" />
            <value name='company_id'    factory='Participant'   class="oneit.sql.transfer.DBTransferer$ObjectID" keyName="CompanyID"/>
        </NODE>
    </NODE>
</OBJECTS>